## java-common 0.2

=== Makefile ===
OUTPUTS=policy.html policy.txt policy.ps policy.db

all: policy

policy: policy.ps policy.txt policy.html

policy.tex: policy.db
	jade -t tex \
		-d /usr/lib/sgml/stylesheet/dsssl/docbook/nwalsh/print/docbook.dsl \
		/usr/lib/sgml/declaration/xml.decl $<

policy.dvi: policy.tex
	jadetex $<
	jadetex $<

policy.ps: policy.dvi
	dvips -f $< > $@

policy.html: policy.db html.dsl
	jade -t sgml \
		-d html.dsl \
		/usr/lib/sgml/declaration/xml.decl $< 

policy.txt: policy.db
	jade -t sgml -V nochunks \
		-d /usr/lib/sgml/stylesheet/dsssl/docbook/nwalsh/html/docbook.dsl \
	/usr/lib/sgml/declaration/xml.decl $< > dump.html
	lynx -force_html -dump dump.html > $@
	-rm -f dump.html

validate:
	nsgmls -s -wxml /usr/lib/sgml/declaration/xml.decl policy.db

install: $(OUTPUTS)
	install -m 0444 $(OUTPUTS) *.html $(DESTDIR)/usr/doc/java-common

clean: 
	rm -f *.html *.aux *.log *.dvi *.ps *.tex *.txt

=== debian/changelog ===
java-common (0.2) unstable; urgency=low

  * The policy is now included, and in XML form. Closes #42114

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Thu,  2 Sep 1999 17:10:15 +0200

java-common (0.1) unstable; urgency=low

  * Proper versioning for a Debian-only package 

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Mon, 28 Jun 1999 15:00:52 +0200

java-common (0.0-1) unstable; urgency=low

  * Initial Release.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed, 23 Jun 1999 15:03:43 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "bortzmeyer@debian.org"
End:

=== debian/control ===
Source: java-common
Section: misc
Priority: optional
Maintainer: Stephane Bortzmeyer <bortzmeyer@debian.org>
Standards-Version: 2.4.0.0

Package: java-common
Architecture: all
Depends: 
Description: Base of all Java packages
 This package is mandatory for any Java package. It
 includes the Java policy.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) policy
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	-rm -f *~

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
#	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## java-common 0.14

=== Makefile ===
#!/usr/bin/make -f 

# Good info at: info make "Quick Reference"
# $^ All prerequisites
# $< First prerequisity
# $@ Target

# Some default variables
DOC = usr/share/doc
DVIPS=dvips
PUBLISHDIR=$(DESTDIR)/$(DOC)/java-common
#DSLF=work.dsl
#DSL=-d $(DSLF)
# Default language to use
LANGUAGE=
LANG=C
LC_CTYPE=C

all: debian-java-policy debian-java-faq-gen
publish: policy.html
	scp debian-java-policy/*.html opal@people.debian.org:public_html/java/policy.html

# Policy part
MAKEOUT=policy.txt policy.ps
OUTPUTS=$(MAKEOUT) policy.xml
MAKEDEP=$(MAKEOUT) policy.html 

debian-java-policy: $(MAKEDEP)
update: debian-java-faq-update

policy.tex: policy.xml
	jw $(DCL) -b tex $(DSL) policy.xml

policy.dvi: policy.xml
	jw $(DCL) -b dvi $(DSL) policy.xml

policy.ps: policy.dvi
	$(DVIPS) -f $< > $@

policy.html: policy.xml
	# docbook and dsl file needs to be in that dir for things to work.
	# The png file is copied there so it can be referenced in a proper way.
	mkdir -p debian-java-policy
	cp $^ html
	jw -b html $(DSL) -o debian-java-policy $<
	# To make that file the intdex.
	(cd debian-java-policy; rm -f $^)

policy.txt: policy.xml
	jw -u $< > dump.html
	lynx -force_html -dump dump.html > $@
	-rm -f dump.html

install: debian-java-policy-install debian-java-faq-install

debian-java-policy-install:
	install -m 0444 $(OUTPUTS) $(PUBLISHDIR)
	cp -a debian-java-policy $(PUBLISHDIR)
	ln -s debian-java-policy $(PUBLISHDIR)/html

clean: debian-java-faq
	-rm -Rf debian-java-policy.html
	-rm -f $(MAKEOUT)
	-rm -f policy.dvi
	(cd $<; make clean)

debian-java-faq-gen: debian-java-faq
	(cd $<; make debian-java-faq.html/index.html)

# Change the publish dir if you want to send it to a new package.
debian-java-faq-install: debian-java-faq debian-java-faq-gen
	(cd $<; make publish PUBLISHDIR=$(PUBLISHDIR))

debian-java-faq:
	(cvs -d :pserver:anonymous@cvs.debian.org:/cvs/debian-doc -z3 checkout -d debian-java-faq ddp/manuals.sgml/java-faq)

debian-java-faq-update: debian-java-faq
	(cd $<; cvs -z3 update -d)

=== debian-java-faq/Makefile ===
# Makefile for a manual in the Debian Documentation Project manuals.sgml
# tree.

# The directory in which this makefile resides must also contain a file
# called <directoryname>.sgml, which is the top-level file for the manual
# in this directory.

# What is the current manual's name
#MANUAL :=	$(shell basename $(shell pwd))
MANUAL :=	debian-java-faq
# Where are we publishing to?
#  (this can be overriden by a higher level makefile)
PUBLISHDIR :=	../../../public_html/manuals.html

# What do we want by default?
all:		publish

# This target installs the generated HTML in the published directory.
publish:	$(MANUAL).html/index.html
# 		fail if there is no PUBLISHDIR
		[ -d $(PUBLISHDIR) ] || exit 1
		rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
		install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
		install -m 644 --preserve-timestamps $(MANUAL).html/*.html \
			$(PUBLISHDIR)/$(MANUAL)/

$(MANUAL).html/index.html:	$(wildcard *.sgml)
		debiandoc2html $(MANUAL).sgml

# ensure our SGML is valid
#   (add this to $(MANUAL).html rule to prevent building if not)
validate:
		nsgmls -gues $(MANUAL).sgml

clean:
		rm -rf $(MANUAL).html

distclean:	clean

.PHONY: all publish clean distclean validate

=== debian/changelog ===
java-common (0.14) unstable; urgency=low

  * Fixed description again.

 -- Ola Lundqvist <opal@debian.org>  Sun,  7 Apr 2002 12:03:11 +0200

java-common (0.13) unstable; urgency=low

  * Fixed description, closes: #141463.

 -- Ola Lundqvist <opal@debian.org>  Sat,  6 Apr 2002 17:31:32 +0200

java-common (0.12) unstable; urgency=low

  * Fixed spaces in description, closes: #137179.
  * Fixed doc-base bug, closes: #137516.

 -- Ola Lundqvist <opal@lysator.liu.se>  Fri,  5 Apr 2002 21:25:34 +0200

java-common (0.11) unstable; urgency=low

  * Fixed doc-base problem, closes: #136994, #137022, #137031, #137063.

 -- Ola Lundqvist <opal@debian.org>  Wed,  6 Mar 2002 16:10:04 +0100

java-common (0.10) unstable; urgency=low

  * Changed descriotion, closes: #118458.
  * Added doc-base file, thanks to Javier Fernandez-Sanguino Pena
    <jfs@dat.etsit.upm.es>, closes: #118459.
  * Spelling things in policy, closes: #119801.
  * Spelling issue in FAQ, closes: #127114.

 -- Ola Lundqvist <opal@debian.org>  Mon,  4 Mar 2002 20:56:39 +0100

java-common (0.9) unstable; urgency=low

  * Updated the java policy. This is a major rewrite from all the information
    that people seems to have agreed upon, in the debian-java@lists.debian.org
    mailinglist. Closes: #107809, #107810.
    Also converted it to docbook format.
  * Removed manpage.
  * Fixed the copyright file, closes: #55524.
  * Removed java-compiler-dummy.
  * Removed java-virtual-machine-dummy.
  * Removed java1-runtime-dummy.
  * Removed dummy config files. After this package is uploaded I'll ask for
    the removal of the *-dummy packages that was previously mentioned in
    the policy.

 -- Ola Lundqvist <opal@debian.org>  Mon, 01 Oct 2001 13:43:56 +0200

java-common (0.8) unstable; urgency=low

  * Moved java-compiler-dummy to java-common.
  * Moved java-virtual-machine-dummy to java-common.
  * Created java1-runtime-dummy.
  * Moved dummy config files, closes: #55527, #55747.
  * Fixed manpage, closes: #55525.
  * Fixed the copyright file, closes: #55524.
  * No I will not add a jar hook. It does not require any special
    classpaths and the jar program should exist in the package that
    provides the binary, closes: #81647.
  * Updated the java policy. This is a major rewrite from all the information
    that people seems to have agreed upon, in the debian-java@lists.debian.org
    mailinglist. Closes: #107809, #107810.

 -- Ola Lundqvist <opal@debian.org>  Mon, 01 Oct 2001 13:43:56 +0200

java-common (0.7) unstable; urgency=low

  * New maintainer Ola Lundqvist, closes: #92816.
  * Fixed /usr/doc problem with this rebuild, closes: #72498.
  * Fixed standards version, closes: #79981, #86928.
  * Misspelling seems to have been fixed, closes: #67152.

 -- Ola Lundqvist <opal@debian.org>  Wed,  4 Apr 2001 23:07:10 +0200

java-common (0.6) unstable; urgency=low

  * Java FAQ now retrieved from the pristine source (DDP CVS)

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Thu,  7 Dec 2000 15:23:16 +0100

java-common (0.5) unstable; urgency=low

  * examples/ directory
  * Debian packages at Blackdown in the FAQ

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Thu,  9 Nov 2000 17:23:30 +0100

java-common (0.4) unstable; urgency=low

  * A few fixes (URLs mostly). 

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Mon,  2 Oct 2000 11:26:10 +0200

java-common (0.3) unstable; urgency=low

  * Added the Debian-Java FAQ (maintained by Fernandez-Sanguino Pen~a 
    <jfs@computer.org>) to the information provided by the package.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed, 12 Jul 2000 16:08:32 +0200

=== debian/control ===
Source: java-common
Section: misc
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), debiandoc-sgml, docbook-utils, docbook-xml, dpsyco-devel, lynx
Standards-Version: 3.5.2

Package: java-common
Architecture: all
Depends: 
Description: Base of all Java packages
 This package must be installed in the system if a Java environment
 is desired. It covers useful information for Java users in
 Debian GNU/Linux, including:
   - The Java policy document which describes the layout of Java support in
     Debian and how Java packages should behave.
   - The Debian-Java-FAQ which provides information on the status of
     Java support in Debian, available compilers, virtual machines, Java
     programs and libraries as well as on legal issues.

## java-common 0.22

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,9 @@
 LC_CTYPE=C
 
 all: debian-java-policy debian-java-faq-gen
+
 publish: policy.html
-	scp debian-java-policy/*.html opal@people.debian.org:public_html/java/policy.html
+	scp debian-java-policy/*.html opal@www.debian.org:/org/www.debian.org/www/doc/packaging-manuals/java-policy
 
 # Policy part
 MAKEOUT=policy.txt policy.ps
@@ -37,21 +38,30 @@
 policy.ps: policy.dvi
 	$(DVIPS) -f $< > $@
 
-policy.html: policy.xml
+policy.html: debian-java-policy/index.html
+
+debian-java-policy/index.html: policy.xml
 	# docbook and dsl file needs to be in that dir for things to work.
 	# The png file is copied there so it can be referenced in a proper way.
+	#
+	# This is no longer true.
 	mkdir -p debian-java-policy
-	cp $^ html
 	jw -b html $(DSL) -o debian-java-policy $<
 	# To make that file the intdex.
 	(cd debian-java-policy; rm -f $^)
 
 policy.txt: policy.xml
-	jw -u $< > dump.html
-	lynx -force_html -dump dump.html > $@
-	-rm -f dump.html
+	#jw -u $< > dump.html
+	#lynx -force_html -dump dump.html > $@
+	#-rm -f dump.html
+	jw -b txt $(DSL) $<
 
-install: debian-java-policy-install debian-java-faq-install
+install: debian-java-policy-install debian-java-faq-install dummy-install
+
+dummy-install:
+	mkdir -p $(PUBLISHDIR)/dummy-packages
+	cp dummy/README $(PUBLISHDIR)/dummy-packages
+	cp dummy/*.control $(PUBLISHDIR)/dummy-packages
 
 debian-java-policy-install:
 	install -m 0444 $(OUTPUTS) $(PUBLISHDIR)
@@ -59,7 +69,8 @@
 	ln -s debian-java-policy $(PUBLISHDIR)/html
 
 clean: debian-java-faq
-	-rm -Rf debian-java-policy.html
+	-rm -Rf debian-java-policy
+	-rm -Rf policy.html
 	-rm -f $(MAKEOUT)
 	-rm -f policy.dvi
 	(cd $<; make clean)

=== debian/changelog ===
java-common (0.22) unstable; urgency=low

  * Changed Maintainer: to the Debian Java Mailing List and added myself
    to Uploaders: (closes: #201670)
  * Changed the long description to use a real item list
  * Removed debian/java-common.README.debian since we now have build
    dependencies
  * Standards-Version: 3.6.1
    + Changed Build-Depends-Indep to Build-Depends

 -- Stefan Gybas <sgybas@debian.org>  Mon,  8 Sep 2003 11:18:55 +0200

java-common (0.21) unstable; urgency=low

  * Fixed dummy control files, closes: #201495.
  * Updated java FAQ from CVS, closes: #197577.

 -- Ola Lundqvist <opal@debian.org>  Thu, 17 Jul 2003 08:16:43 +0200

java-common (0.20) unstable; urgency=low

  * Updated Java FAQ from CVS, closes: #192286.

 -- Ola Lundqvist <opal@debian.org>  Fri,  9 May 2003 13:14:44 +0200

java-common (0.19) unstable; urgency=low

  * Added JNI standardized directories, closes: #163390.
    Thanks to Ben Burton <bab@debian.org> for the patch.
  * Updated FAQ from cvs.
  * Now refer to an url instead of listing free jvm:s, closes: #146731.
  * Fixed doc section (is now Debian), closes: #187865.
  * Rebuild, no longer junk in policy.txt, closes: #162377.

 -- Ola Lundqvist <opal@debian.org>  Thu, 17 Apr 2003 13:32:41 +0200

java-common (0.18) unstable; urgency=low

  * Updated java faq from cvs to fix deb source line, closes: #162733.
  * Fixed doc-base file, closes: #163102.
  * Policy update as accepted by debian-java@lists.debian.org,
    closes: #182466.
  * Removed the last references about that this is a proposed policy. It
    is no longer just a proposed policy.

 -- Ola Lundqvist <opal@debian.org>  Mon, 31 Mar 2003 21:48:18 +0200

java-common (0.17) unstable; urgency=low

  * Fixed some xml errors and reference error to debian policy, using
    patch from Ahmed <ahmed@baizid.org>, closes: #173033.
  * Fixed Makefile so that it can produce proper txt output, closes:
    #162377.

 -- Ola Lundqvist <opal@debian.org>  Wed, 18 Dec 2002 05:56:54 +0100

java-common (0.16) unstable; urgency=low

  * Updated java policy with more about JNI, closes: #162282.

 -- Ola Lundqvist <opal@debian.org>  Wed, 25 Sep 2002 16:50:48 +0200

java-common (0.15) unstable; urgency=low

  * Removed policy.sgml from source.
  * Changed so that the policy is no longer PROPOSED.
  * Some editorial changes.
  * Java libraries should now only suggest java-virtual-machine,
    closes: #159448.
  * Documentation about -gcj and -jni, closes: #146771.
  * Java-common now suggests equivs and contain instructions on how to create
    a dummy package, closes: #159483. Thanks to
    "Grzegorz Prokopski (Debian Developer)" <gadek@debian.org>.
  * Fixed typo, closes: #160735.
  * Updated debian-java-faq.
  * Fixed build problem.
  * Updated standards version.

 -- Ola Lundqvist <opal@debian.org>  Wed, 25 Sep 2002 07:41:45 +0200

=== debian/control ===
Source: java-common
Section: misc
Priority: optional
Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
Uploaders: Ola Lundqvist <opal@debian.org>, Stefan Gybas <sgybas@debian.org>
Build-Depends: debhelper (>> 3.0.0), debiandoc-sgml, docbook-utils, docbook-xml, dpsyco-devel, lynx
Standards-Version: 3.6.1

Package: java-common
Architecture: all
Suggests: equivs
Description: Base of all Java packages
 This package must be installed in the system if a Java environment
 is desired. It covers useful information for Java users in
 Debian GNU/Linux, including:
  * The Java policy document which describes the layout of Java support in
    Debian and how Java packages should behave.
  * The Debian-Java-FAQ which provides information on the status of
    Java support in Debian, available compilers, virtual machines, Java
    programs and libraries as well as on legal issues.
  * Information on how to create dummy packages to fullfill java2
    requirements.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	# Create the doc directory.
	dh_installdocs -i
	# Install docs into the doc directory.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/java-common

	dpsch-backupclean

	touch install-stamp

binary-arch:

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
###	dh_installdocs -i
	dh_installexamples -i
	dpsch-cvsclean
	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs  -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
#	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## java-common 0.23ubuntu3

=== debian/changelog ===
java-common (0.23ubuntu3) breezy; urgency=low

  * Posixfy java-common.sh.

 -- Jerry Haltom <wasabi@larvalstage.net>  Thu,  7 Jul 2005 14:15:17 -0500

java-common (0.23ubuntu2) breezy; urgency=low

  * Code cleanup on java-common.sh and jvm-find.sh in preparation to 
    merge into Debian.

 -- Jerry Haltom <wasabi@larvalstage.net>  Wed,  6 Jul 2005 20:37:48 -0500

java-common (0.23ubuntu1) breezy; urgency=low

  * Resynchronize with Debian.

 -- Jerry Haltom <wasabi@larvalstage.net>  Wed,  6 Jul 2005 20:37:42 -0500

java-common (0.23) unstable; urgency=low

  * Updated the Debian Java FAQ (closes: #156547, #252219), thanks to
    Javier Fernandez-Sanguino PeÃ±a
  * policy.xml: corrected typos (closes: #285303), thanks to Bill
    Allombert
  * debian/control:
    + (Uploaders) removed Ola Lundqvist from the uploaders (see
      debian-java mailing list, June 2005)
    + (Uploaders) added myself
    + (Uploaders) added Debian Java Maintainers (closes: #302887)
  * debian/README.Debian: corrected wrong path the the faq and the policy
    and a typo (closes: #197256, #285014), thanks to Vincent Lefevre
  * debian/copyright: moved Ola from current maintainers to previous
    maintainers, updated the file with the debhelper gpl template, added
    copyright years (closes: #290189)

 -- Arnaud Vandyck <avdyk@debian.org>  Sat, 11 Jun 2005 13:59:20 +0200

java-common (0.22ubuntu3) breezy; urgency=low

  * Bug in JVM launcher script from processing an empty line in a JVM 
    file. Resulted in a test for /bin/java which suceeds for some subset 
    of the population.
  * Renamed find_jvm.sh to jvm-find.sh.
  * Added an entry to the default /etc/jvm file to reflect our default 
    system JVM of /usr/lib/jvm/java-gcj.

 -- Jerry Haltom <wasabi@larvalstage.net>  Sun,  3 Jul 2005 13:26:21 -0500

java-common (0.22ubuntu2) breezy; urgency=low

  * Fixed JVM launcher scripts. They now properly detect and use a
    preexisting JAVA_HOME variable. They also scan the files in the
    proper order.

 -- Jerry Haltom <wasabi@larvalstage.net>  Sun, 26 Jun 2005 21:54:34 -0500

java-common (0.22ubuntu1) breezy; urgency=low

  * Added new JVM launcher support scripts.

 -- Jerry Haltom <wasabi@larvalstage.net>  Thu,  2 Jun 2005 13:02:12 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
-Uploaders: Ola Lundqvist <opal@debian.org>, Stefan Gybas <sgybas@debian.org>
-Build-Depends: debhelper (>> 3.0.0), debiandoc-sgml, docbook-utils, docbook-xml, dpsyco-devel, lynx
+Uploaders: Stefan Gybas <sgybas@debian.org>, Arnaud Vandyck <avdyk@debian.org>
+Build-Depends: debhelper (>= 3.0.0), debiandoc-sgml, docbook-utils, docbook-xml, dpsyco-devel, lynx
 Standards-Version: 3.6.1
 
 Package: java-common

=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,7 @@
 binary-indep: build install
 	dh_testdir -i
 	dh_testroot -i
+	dh_install -i
 #	dh_installdebconf -i
 ###	dh_installdocs -i
 	dh_installexamples -i

## java-common 0.24ubuntu2

=== debian/changelog ===
java-common (0.24ubuntu2) dapper; urgency=low

  * update-java-alternatives: Search for /usr/lib/jvm/.*.jinfo files
    as well, new option --plugin.

 -- Matthias Klose <doko@ubuntu.com>  Tue,  9 May 2006 13:23:45 +0200

java-common (0.24ubuntu1) dapper; urgency=low

  * Synchronise with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  8 May 2006 12:49:50 +0200

java-common (0.24) unstable; urgency=low

  [Matthias Klose]
  * Search for the update-java-alternatives description files in
    /usr/lib/jvm/*.jinfo.
  * Add a script update-java-alternatives(8).

  [Michael Koch]
  * Updated DH_COMPAT level to 4.
  * Updated Standards-Version to 3.7.2.
  * Added myself to Uploaders field.
  * Added myself to debian/copyright and updated address of FSF.
  * Moved most of Build-Depends to Build-Depends-Indep.
  * Removed CVS directories.

 -- Michael Koch <konqueror@gmx.de>  Sat,  6 May 2006 22:20:14 +0000

## java-common 0.25

=== debian/changelog ===
java-common (0.25) unstable; urgency=low

  [Matthias Klose]
  * update-java-alternatives: Search for /usr/lib/jvm/.*.jinfo files
    as well, new option --plugin.

 -- Michael Koch <konqueror@gmx.de>  Tue,  9 May 2006 21:33:38 +0000

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 build: build-stamp
 build-stamp:
@@ -49,7 +49,6 @@
 binary-indep: build install
 	dh_testdir -i
 	dh_testroot -i
-	dh_install -i
 #	dh_installdebconf -i
 ###	dh_installdocs -i
 	dh_installexamples -i

## java-common 0.25ubuntu1

=== debian/changelog ===
java-common (0.25ubuntu1) edgy; urgency=low

  * Synchronise with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Jun 2006 11:03:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: misc
 Priority: optional
 Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
-Uploaders: Stefan Gybas <sgybas@debian.org>, Arnaud Vandyck <avdyk@debian.org>
-Build-Depends: debhelper (>= 3.0.0), debiandoc-sgml, docbook-utils, docbook-xml, dpsyco-devel, lynx
-Standards-Version: 3.6.1
+Uploaders: Stefan Gybas <sgybas@debian.org>, Arnaud Vandyck <avdyk@debian.org>, Michael Koch <konqueror@gmx.de>
+Build-Depends: debhelper (>= 3.0.0)
+Build-Depends-Indep: debiandoc-sgml, docbook-utils, docbook-xml, dpsyco-devel, lynx
+Standards-Version: 3.7.2
 
 Package: java-common
 Architecture: all

## java-common 0.25ubuntu2

=== debian/changelog ===
java-common (0.25ubuntu2) feisty; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 23 Feb 2007 08:37:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: java-common
 Section: misc
 Priority: optional
-Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
 Uploaders: Stefan Gybas <sgybas@debian.org>, Arnaud Vandyck <avdyk@debian.org>, Michael Koch <konqueror@gmx.de>
 Build-Depends: debhelper (>= 3.0.0)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils, docbook-xml, dpsyco-devel, lynx

## java-common 0.26ubuntu1

=== debian/changelog ===
java-common (0.26ubuntu1) gutsy; urgency=low

  * Merge with Debian; remaining changes:
    - JVM launcher scripts, currently unused.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Jul 2007 16:59:26 +0200

java-common (0.26) unstable; urgency=low

  * Fixed typo in package description. Closes: #363985.

 -- Michael Koch <konqueror@gmx.de>  Thu, 28 Jun 2007 13:12:04 -0100

=== debian/control ===
--- 
+++ 
@@ -20,5 +20,5 @@
   * The Debian-Java-FAQ which provides information on the status of
     Java support in Debian, available compilers, virtual machines, Java
     programs and libraries as well as on legal issues.
-  * Information on how to create dummy packages to fullfill java2
+  * Information on how to create dummy packages to fulfill java2
     requirements.

=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,7 @@
 binary-indep: build install
 	dh_testdir -i
 	dh_testroot -i
+	dh_install -i
 #	dh_installdebconf -i
 ###	dh_installdocs -i
 	dh_installexamples -i

## java-common 0.28ubuntu3

=== debian/changelog ===
java-common (0.28ubuntu3) hardy; urgency=low

  * scripts/update-java-alternatives: display usage if there's no action or
    argument given, as done in 0.27 (LP: #205806)

 -- Daniel Hahler <ubuntu@thequod.de>  Mon, 24 Mar 2008 02:47:48 +0100

java-common (0.28ubuntu2) hardy; urgency=low

  * update-java-alternatives: Add --jre-headless option.
  * Reverting the changes for the rejected upload 0.28ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Mar 2008 20:19:51 +0100

java-common (0.27ubuntu1) hardy; urgency=low

  * Merge with Debian; remaining changes:
    - JVM launcher scripts, currently unused.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2007 17:21:19 +0100

java-common (0.27) unstable; urgency=low

  * Updated FAQ. Closes: #449282.
  * Updated debhelper level to 5.

 -- Michael Koch <konqueror@gmx.de>  Mon, 12 Nov 2007 07:59:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
 Uploaders: Stefan Gybas <sgybas@debian.org>, Arnaud Vandyck <avdyk@debian.org>, Michael Koch <konqueror@gmx.de>
-Build-Depends: debhelper (>= 3.0.0)
+Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils, docbook-xml, dpsyco-devel, lynx
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-export DH_COMPAT=4
 
 build: build-stamp
 build-stamp:

## java-common 0.30

=== Makefile ===
--- 
+++ 
@@ -56,12 +56,18 @@
 	#-rm -f dump.html
 	jw -b txt $(DSL) $<
 
-install: debian-java-policy-install debian-java-faq-install dummy-install
+install: debian-java-policy-install debian-java-faq-install dummy-install script-install
 
 dummy-install:
 	mkdir -p $(PUBLISHDIR)/dummy-packages
 	cp dummy/README $(PUBLISHDIR)/dummy-packages
 	cp dummy/*.control $(PUBLISHDIR)/dummy-packages
+
+script-install:
+	mkdir -p $(DESTDIR)/usr/sbin
+	install -m 755 scripts/update-java-alternatives $(DESTDIR)/usr/sbin/
+	mkdir -p $(DESTDIR)/usr/share/man/man8
+	install -m 755 scripts/update-java-alternatives.8 $(DESTDIR)/usr/share/man/man8/
 
 debian-java-policy-install:
 	install -m 0444 $(OUTPUTS) $(PUBLISHDIR)

=== debian-java-faq/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 MANUAL :=	debian-java-faq
 # Where are we publishing to?
 #  (this can be overriden by a higher level makefile)
-PUBLISHDIR :=	../../../public_html/manuals.html
+PUBLISHDIR := /org/www.debian.org/www/doc/manuals
 
 # What do we want by default?
 all:		publish

=== debian/changelog ===
java-common (0.30) unstable; urgency=low

  * Fix description generation for default-jre. Closes: #476978.

 -- Michael Koch <konqueror@gmx.de>  Sun, 27 Apr 2008 00:13:55 +0200

java-common (0.29) unstable; urgency=low

  * Do not build the default-* packages on alpha, arm, hppa.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Apr 2008 01:02:28 +0200

java-common (0.28) unstable; urgency=low

  [Matthias Klose]
  * Build packages default-jre, default-jre-headless, default-jdk
    and default-jdk-builddep.
    Provides an abstraction for the preferred jre/jdk for a specific
    architecture.  Build-depending on default-jdk-builddep ensures
    a dependency on java-gcj-compat-dev even if the default jdk is
    another than java-gcj-compat-dev. Discussion thread starting at
    http://lists.debian.org/debian-java/2008/03/msg00007.html.
  * update-java-alternatives: Add --jre-headless option.

  [Michael Koch]
  * Fix issues in scripts/update-java-alternatives.8
  * Converted debian/java-common.doc-base.faq to utf-8 encoding.
  * Fix bug in scripts/update-java-alternatives when usage is shown.
  * Ignore lintian issues as they are false positives in our case.

 -- Michael Koch <konqueror@gmx.de>  Wed, 02 Apr 2008 21:13:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: java-common
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
-Uploaders: Stefan Gybas <sgybas@debian.org>, Arnaud Vandyck <avdyk@debian.org>, Michael Koch <konqueror@gmx.de>
+Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
+Uploaders: Stefan Gybas <sgybas@debian.org>, Arnaud Vandyck <avdyk@debian.org>, Michael Koch <konqueror@gmx.de>, Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils, docbook-xml, dpsyco-devel, lynx
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
 Package: java-common
 Architecture: all
@@ -22,3 +21,46 @@
     programs and libraries as well as on legal issues.
   * Information on how to create dummy packages to fulfill java2
     requirements.
+
+Package: default-jre
+Section: interpreters
+Architecture: any
+Depends: default-jre-headless (= ${binary:Version}), ${jre}${jre:version}
+Suggests: default-jre
+Provides: ${jre:provides}
+Description: Standard Java or Java compatible Runtime
+ This package points to the Java runtime, or Java compatible
+ runtime recommended for the ${jre:arch} architecture,
+ which is ${jdk} for ${jre:arch}.
+
+Package: default-jre-headless
+Section: interpreters
+Architecture: any
+Depends: ${jhl}${jre:version}, java-common
+Suggests: default-jre
+Provides: ${jhl:provides}
+Description: Standard Java or Java compatible Runtime (headless)
+ This package points to the Java runtime, or Java compatible
+ runtime recommended for this architecture, which is
+ ${jhl} for ${jre:arch}.
+ .
+ The package is used as dependency for packages not needing a
+ graphical display during runtime.
+
+Package: default-jdk
+Section: devel
+Architecture: any
+Depends: default-jre (= ${binary:Version}), ${jdk}${jdk:version}
+Provides: ${jdk:provides}
+Description: Standard Java or Java compatible Development Kit
+ This package points to the Java runtime, or Java compatible
+ development kit recommended for this architecture, which is
+ ${jdk} for ${jre:arch}.
+
+Package: default-jdk-builddep
+Section: devel
+Architecture: any
+Depends: default-jdk (= ${binary:Version}), ${jdk:builddep}
+Description: Standard Java or Java compatible build dependencies
+ This package points to the build dependencies used to build
+ packages requiring a Java or Java compatible Development Kit.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

, = ,
S = $(EMPTY) $(EMPTY)
mk_cslist = $(subst $(S),$(,)$(S),$(foreach v,$(1),$(v)-$(2)))
vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
jrel = $(subst java-common-0.,,$(notdir $(CURDIR)))

DPKG_VARS := $(shell dpkg-architecture)
DEB_HOST_ARCH ?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)

p_jre		= java-gcj-compat
p_jhl		= java-gcj-compat-headless
p_jdk		= java-gcj-compat-dev
jdk_build_dep	=
v_jre		= $(S)(>= 1.0.77-4)
v_jdk		= $(v_jre)
provides	= java java2 java5
dversion	= 1.5-$(jrel)
jvmdir		= java-gcj

ifneq (,$(filter $(DEB_HOST_ARCH), alpha arm hppa))
  p_jre		=
  p_headless	=
  p_jdk		=
endif

jre_provides	= $(call mk_cslist,$(provides),runtime)
jhl_provides	= $(call mk_cslist,$(provides),runtime-headless)
jdk_provides	= $(call mk_cslist,$(provides),sdk)

build-indep: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	$(MAKE) clean

	dh_clean

install-indep: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installdirs -i

	dh_installdocs -i
	$(MAKE) install DESTDIR=$(CURDIR)/debian/java-common

	dpsch-backupclean

	touch install-stamp

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s


binary-arch: install-arch
ifneq (,$(p_jre))
	dh_testdir -s
	dh_testroot -s
	dh_install -a
	dh_installdocs -pdefault-jre-headless
	dh_installchangelogs -pdefault-jre-headless
	dh_link -pdefault-jre-headless \
		usr/lib/jvm/$(jvmdir) usr/lib/jvm/default-java
	for p in default-jre-headless default-jre default-jdk default-jdk-builddep; do \
	  [ -z "$$t" ] && t=$$p && continue; \
	  mkdir -p debian/$$p/usr/share/doc; \
	  ln -sf $$t debian/$$p/usr/share/doc/$$p; \
	  t=$$p; \
	done
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_gencontrol -s -- \
		-v$(dversion) \
		'-Vjre=$(p_jre)' \
		'-Vjhl=$(p_jhl)' \
		'-Vjdk=$(p_jdk)' \
		'-Vjdk:builddep=$(jdk_builddep)' \
		'-Vjre:arch=$(DEB_HOST_ARCH)' \
		'-Vjre:version=$(v_jre)' \
		'-Vjdk:version=$(v_jdk)' \
		'-Vjre:provides=$(jre_provides)' \
		'-Vjhl:provides=$(jhl_provides)' \
		'-Vjdk:provides=$(jdk_provides)' \

	dh_md5sums -s
	dh_builddeb -s
endif

# Build architecture-independent files here.
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_install -i
#	dh_installdebconf -i
###	dh_installdocs -i
	dh_installexamples -i
	dpsch-cvsclean
	dh_installmenu -i
	dh_installman -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## java-common 0.30ubuntu3

=== debian/changelog ===
java-common (0.30ubuntu3) intrepid; urgency=low

  * On powerpc, default back to openjdk-6 instead of cacao-oj6. Still
    more testsuite failures in the OpenJDK testsuite with cacao compared
    to the zero port. 

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Oct 2008 18:09:39 +0000

java-common (0.30ubuntu2) intrepid; urgency=low

  * debian/rules
    - Fix jvmdir for powerpc, so that default-java symlink is correct.
      (LP: #256949)

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Wed, 13 Aug 2008 01:55:23 +0530

java-common (0.30ubuntu1) intrepid; urgency=low

  * On amd64, i386, ia64 and sparc, point default-* to openjdk-6,
    on powerpc, point to cacao-oj6.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Jul 2008 14:41:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,33 @@
 dversion	= 1.5-$(jrel)
 jvmdir		= java-gcj
 
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha arm hppa))
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 ia64 lpia powerpc sparc))
+  p_jre		= openjdk-6-jre
+  p_jhl		= openjdk-6-jre-headless
+  p_jdk		= openjdk-6-jdk
+  jdk_build_dep	= java-gcj-compat-dev
+  v_jre		= $(S)(>= 6b11)
+  v_jdk		= $(v_jre)
+  provides	= java java2 java5 java6
+  dversion	= 1.6-$(jrel)
+  jvmdir	= java-6-openjdk
+endif
+
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
+  p_jre		= cacao-oj6-jre
+  p_hl		= cacao-oj6-jre-headless
+  p_jdk		= cacao-oj6-jdk
+  ifeq (,$(filter $(DEB_HOST_ARCH), alpha))
+    jdk_build_dep	= java-gcj-compat-dev
+  endif
+  v_jre		=
+  v_jdk		=
+  provides	= java java2 java5 java6
+  dversion	= 1.6-$(jrel)
+  jvmdir	= java-6-cacao
+endif
+
+ifneq (,$(filter $(DEB_HOST_ARCH), arm hppa))
   p_jre		=
   p_headless	=
   p_jdk		=
@@ -93,7 +119,7 @@
 		'-Vjre=$(p_jre)' \
 		'-Vjhl=$(p_jhl)' \
 		'-Vjdk=$(p_jdk)' \
-		'-Vjdk:builddep=$(jdk_builddep)' \
+		'-Vjdk:builddep=$(jdk_build_dep)' \
 		'-Vjre:arch=$(DEB_HOST_ARCH)' \
 		'-Vjre:version=$(v_jre)' \
 		'-Vjdk:version=$(v_jdk)' \

## java-common 0.30ubuntu4

=== debian/changelog ===
java-common (0.30ubuntu4) jaunty; urgency=low

  * Default to openjdk-6 on armel.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 17 Nov 2008 08:03:21 +0100

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 dversion	= 1.5-$(jrel)
 jvmdir		= java-gcj
 
-ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 ia64 lpia powerpc sparc))
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 armel i386 ia64 lpia powerpc sparc))
   p_jre		= openjdk-6-jre
   p_jhl		= openjdk-6-jre-headless
   p_jdk		= openjdk-6-jdk

## java-common 0.30ubuntu5

=== debian/changelog ===
java-common (0.30ubuntu5) karmic; urgency=low

  * default-jdk-builddep: Depend on gcj-jdk instead of java-gcj-compat-dev.
  * Build for hppa.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Apr 2009 13:36:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: java-common
 Section: misc
 Priority: optional
-Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
 Uploaders: Stefan Gybas <sgybas@debian.org>, Arnaud Vandyck <avdyk@debian.org>, Michael Koch <konqueror@gmx.de>, Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils, docbook-xml, dpsyco-devel, lynx

=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,11 @@
 DPKG_VARS := $(shell dpkg-architecture)
 DEB_HOST_ARCH ?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
 
-p_jre		= java-gcj-compat
-p_jhl		= java-gcj-compat-headless
-p_jdk		= java-gcj-compat-dev
+p_jre		= gcj-jre
+p_jhl		= gcj-jre-headless
+p_jdk		= gcj-jdk
 jdk_build_dep	=
-v_jre		= $(S)(>= 1.0.77-4)
+v_jre		=
 v_jdk		= $(v_jre)
 provides	= java java2 java5
 dversion	= 1.5-$(jrel)
@@ -29,7 +29,7 @@
   p_jre		= openjdk-6-jre
   p_jhl		= openjdk-6-jre-headless
   p_jdk		= openjdk-6-jdk
-  jdk_build_dep	= java-gcj-compat-dev
+  jdk_build_dep	= gcj-jdk
   v_jre		= $(S)(>= 6b11)
   v_jdk		= $(v_jre)
   provides	= java java2 java5 java6
@@ -51,7 +51,7 @@
   jvmdir	= java-6-cacao
 endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH), arm hppa))
+ifneq (,$(filter $(DEB_HOST_ARCH), arm))
   p_jre		=
   p_headless	=
   p_jdk		=

## java-common 0.34

=== debian/changelog ===
java-common (0.34) unstable; urgency=low

  * Build a default-jdk-doc package to make the documentation available
    in a path (/usr/share/doc/default-jdk/api) independent of the depending
    package.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Dec 2009 06:22:35 +0100

java-common (0.33) unstable; urgency=low

  [ Matthias Klose ]
  * Set package sections to java.

  [ Torsten Werner ]
  * Add myself to Uploaders.
  * Add a local copy of debian-java-faq to avoid network (CVS) access during
    build time.
  * Sync with Ubuntu:
    - Switch to OpenJDK as the default JDK/JRE.
  * Update Standards-Version: 3.8.2:
    - Add Vcs headers to debian/control.

 -- Torsten Werner <twerner@debian.org>  Thu, 30 Jul 2009 15:16:06 +0200

java-common (0.32) unstable; urgency=low

  * Build the default-* packages on hppa.

 -- Matthias Klose <doko@debian.org>  Sun, 17 May 2009 23:21:22 +0200

java-common (0.31) unstable; urgency=low

  * Build the default-* packages on alpha again.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Feb 2009 12:41:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: java-common
-Section: misc
+Section: java
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
-Uploaders: Stefan Gybas <sgybas@debian.org>, Arnaud Vandyck <avdyk@debian.org>, Michael Koch <konqueror@gmx.de>, Matthias Klose <doko@debian.org>
+Maintainer: Debian Java Mailing List <debian-java@lists.debian.org>
+Uploaders: Stefan Gybas <sgybas@debian.org>, Arnaud Vandyck <avdyk@debian.org>, Michael Koch <konqueror@gmx.de>, Matthias Klose <doko@debian.org>, Torsten Werner <twerner@debian.org>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils, docbook-xml, dpsyco-devel, lynx
-Standards-Version: 3.7.3
+Standards-Version: 3.8.2
+Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java-common
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/java-common/
 
 Package: java-common
 Architecture: all
-Suggests: equivs
+Suggests: default-jre, equivs
 Description: Base of all Java packages
  This package must be installed in the system if a Java environment
  is desired. It covers useful information for Java users in
@@ -24,7 +25,6 @@
     requirements.
 
 Package: default-jre
-Section: interpreters
 Architecture: any
 Depends: default-jre-headless (= ${binary:Version}), ${jre}${jre:version}
 Suggests: default-jre
@@ -35,7 +35,6 @@
  which is ${jdk} for ${jre:arch}.
 
 Package: default-jre-headless
-Section: interpreters
 Architecture: any
 Depends: ${jhl}${jre:version}, java-common
 Suggests: default-jre
@@ -49,7 +48,6 @@
  graphical display during runtime.
 
 Package: default-jdk
-Section: devel
 Architecture: any
 Depends: default-jre (= ${binary:Version}), ${jdk}${jdk:version}
 Provides: ${jdk:provides}
@@ -58,8 +56,17 @@
  development kit recommended for this architecture, which is
  ${jdk} for ${jre:arch}.
 
+Package: default-jdk-doc
+Architecture: all
+Section: doc
+Depends: ${doc}
+Suggests: default-jdk
+Description: Standard Java or Java compatible Development Kit (documentation)
+ This package points to the documentation for the Java development kit,
+ or Java compatible development kit recommended for Debian, which is
+ ${doc}.
+
 Package: default-jdk-builddep
-Section: devel
 Architecture: any
 Depends: default-jdk (= ${binary:Version}), ${jdk:builddep}
 Description: Standard Java or Java compatible build dependencies

=== debian/rules ===
--- 
+++ 
@@ -25,37 +25,19 @@
 dversion	= 1.5-$(jrel)
 jvmdir		= java-gcj
 
-ifneq (,$(filter $(DEB_HOST_ARCH), amd64 armel i386 ia64 lpia powerpc sparc))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 armel i386 ia64 lpia mips mipsel powerpc s390 sparc))
   p_jre		= openjdk-6-jre
   p_jhl		= openjdk-6-jre-headless
   p_jdk		= openjdk-6-jdk
   jdk_build_dep	= gcj-jdk
-  v_jre		= $(S)(>= 6b11)
+  v_jre		= $(S)(>= 6b14)
   v_jdk		= $(v_jre)
   provides	= java java2 java5 java6
   dversion	= 1.6-$(jrel)
   jvmdir	= java-6-openjdk
 endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
-  p_jre		= cacao-oj6-jre
-  p_hl		= cacao-oj6-jre-headless
-  p_jdk		= cacao-oj6-jdk
-  ifeq (,$(filter $(DEB_HOST_ARCH), alpha))
-    jdk_build_dep	= java-gcj-compat-dev
-  endif
-  v_jre		=
-  v_jdk		=
-  provides	= java java2 java5 java6
-  dversion	= 1.6-$(jrel)
-  jvmdir	= java-6-cacao
-endif
-
-ifneq (,$(filter $(DEB_HOST_ARCH), arm))
-  p_jre		=
-  p_headless	=
-  p_jdk		=
-endif
+p_doc		= openjdk-6-doc
 
 jre_provides	= $(call mk_cslist,$(provides),runtime)
 jhl_provides	= $(call mk_cslist,$(provides),runtime-headless)
@@ -138,6 +120,9 @@
 	dh_install -i
 #	dh_installdebconf -i
 ###	dh_installdocs -i
+	mkdir -p debian/default-jdk-doc/usr/share/doc/default-jre-headless
+	ln -sf ../$(p_doc)/api debian/default-jdk-doc/usr/share/doc/default-jre-headless/api
+	ln -sf ../$(p_doc)/api debian/default-jdk-doc/usr/share/doc/default-jdk-doc/api
 	dh_installexamples -i
 	dpsch-cvsclean
 	dh_installmenu -i
@@ -147,7 +132,9 @@
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i
-	dh_gencontrol -i
+	dh_gencontrol -i -- \
+		'-Vdoc=$(p_doc)' \
+		'-Vjdk=$(p_jdk)'
 	dh_md5sums -i
 	dh_builddeb -i
